<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2023
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */

namespace openkm\bean;

/**
 * Task
 *
 * @author sochoa
 */
class Task {

    private $id;
    private $owner;
    private $subject;
    private $description;

    /**
     *
     */
    private $created;
    private $lastModified;
    private $start;
    private $end;
    private $status;
    private $project;
    private $type;

    /**
     *     
     */
    private $progress;
    private $repeatGroup;
    private $reminderStartValue;
    private $reminderEndValue;
    private $reminderStartUnit;
    private $reminderEndUnit;

    /**
     *
     */
    private $user;
    private $notificationUsers;
    private $externalUsers;

    /**
     * 
     */
    private $documents;
    private $folders;
    private $mails;
    private $records;

    function __construct() {
        
    }

    /**
     * @return mixed
     */
    public function getId() {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id) {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getOwner() {
        return $this->owner;
    }

    /**
     * @param mixed $owner
     */
    public function setOwner($owner) {
        $this->owner = $owner;
    }

    /**
     * @return mixed
     */
    public function getSubject() {
        return $this->subject;
    }

    /**
     * @param mixed $subject
     */
    public function setSubject($subject) {
        $this->subject = $subject;
    }

    /**
     * @return mixed
     */
    public function getDescription() {
        return $this->description;
    }

    /**
     * @param mixed $description
     */
    public function setDescription($description) {
        $this->description = $description;
    }

    /**
     * @return mixed
     */
    public function getCreated() {
        return $this->created;
    }

    /**
     * @param mixed $created
     */
    public function setCreated($created) {
        $this->created = $created;
    }

    /**
     * @return mixed
     */
    public function getLastModified() {
        return $this->lastModified;
    }

    /**
     * @param mixed $lastModified
     */
    public function setLastModified($lastModified) {
        $this->lastModified = $lastModified;
    }

    /**
     * @return mixed
     */
    public function getStart() {
        return $this->start;
    }

    /**
     * @param mixed $start
     */
    public function setStart($start) {
        $this->start = $start;
    }

    /**
     * @return mixed
     */
    public function getEnd() {
        return $this->end;
    }

    /**
     * @param mixed $end
     */
    public function setEnd($end) {
        $this->end = $end;
    }

    /**
     * @return mixed
     */
    public function getStatus() {
        return $this->status;
    }

    /**
     * @param mixed $status
     */
    public function setStatus($status) {
        $this->status = $status;
    }

    /**
     * @return mixed
     */
    public function getProject() {
        return $this->project;
    }

    /**
     * @param mixed $project
     */
    public function setProject($project) {
        $this->project = $project;
    }

    /**
     * @return mixed
     */
    public function getType() {
        return $this->type;
    }

    /**
     * @param mixed $type
     */
    public function setType($type) {
        $this->type = $type;
    }

    /**
     * @return mixed
     */
    public function getProgress() {
        return $this->progress;
    }

    /**
     * @param mixed $progress
     */
    public function setProgress($progress) {
        $this->progress = $progress;
    }

    /**
     * @return mixed
     */
    public function getRepeatGroup() {
        return $this->repeatGroup;
    }

    /**
     * @param mixed $repeatGroup
     */
    public function setRepeatGroup($repeatGroup) {
        $this->repeatGroup = $repeatGroup;
    }

    /**
     * @return mixed
     */
    public function getReminderStartValue() {
        return $this->reminderStartValue;
    }

    /**
     * @param mixed $reminderStartValue
     */
    public function setReminderStartValue($reminderStartValue) {
        $this->reminderStartValue = $reminderStartValue;
    }

    /**
     * @return mixed
     */
    public function getReminderEndValue() {
        return $this->reminderEndValue;
    }

    /**
     * @param mixed $reminderEndValue
     */
    public function setReminderEndValue($reminderEndValue) {
        $this->reminderEndValue = $reminderEndValue;
    }

    /**
     * @return mixed
     */
    public function getReminderStartUnit() {
        return $this->reminderStartUnit;
    }

    /**
     * @param mixed $reminderStartUnit
     */
    public function setReminderStartUnit($reminderStartUnit) {
        $this->reminderStartUnit = $reminderStartUnit;
    }

    /**
     * @return mixed
     */
    public function getReminderEndUnit() {
        return $this->reminderEndUnit;
    }

    /**
     * @param mixed $reminderEndUnit
     */
    public function setReminderEndUnit($reminderEndUnit) {
        $this->reminderEndUnit = $reminderEndUnit;
    }

    /**
     * @return mixed
     */
    public function getUser() {
        return $this->user;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user) {
        $this->user = $user;
    }

    /**
     * @return mixed
     */
    public function getNotificationUsers() {
        return $this->notificationUsers;
    }

    /**
     * @param mixed $notificationUsers
     */
    public function setNotificationUsers($notificationUsers) {
        $this->notificationUsers = $notificationUsers;
    }

    /**
     * @return mixed
     */
    public function getExternalUsers() {
        return $this->externalUsers;
    }

    /**
     * @param mixed $externalUsers
     */
    public function setExternalUsers($externalUsers) {
        $this->externalUsers = $externalUsers;
    }

    /**
     * @return mixed
     */
    public function getDocuments() {
        return $this->documents;
    }

    /**
     * @param mixed $documents
     */
    public function setDocuments($documents) {
        $this->documents = $documents;
    }

    /**
     * @return mixed
     */
    public function getFolders() {
        return $this->folders;
    }

    /**
     * @param mixed $folders
     */
    public function setFolders($folders) {
        $this->folders = $folders;
    }

    /**
     * @return mixed
     */
    public function getMails() {
        return $this->mails;
    }

    /**
     * @param mixed $mails
     */
    public function setMails($mails) {
        $this->mails = $mails;
    }

    /**
     * @return mixed
     */
    public function getRecords() {
        return $this->records;
    }

    /**
     * @param mixed $records
     */
    public function setRecords($records) {
        $this->records = $records;
    }

}
